package com.sooka.system.gas.aofe_gas_purchase_infor.domain;

import com.sooka.common.annotation.Excel;
import com.sooka.system.domain.BaseBusinessEntity;
import lombok.Getter;
import lombok.Setter;

/**
 * 奥枫收费系统-预付费购气信息对象
 *
 * @author lei
 * @date 2022-08-22
 */
@Getter
@Setter
public class TGuijiAofeGasPurchaseInfor extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    @Excel(name = "序号")
    private String id;

    /** 插入时间 */
    @Excel(name = "插入时间")
    private String cdTime;

    /** 批次号 */
    @Excel(name = "批次号")
    private String cdBatch;

    /** 标志位 */
    @Excel(name = "标志位")
    private String cdOperation;

    /** 数据来源 */
    @Excel(name = "数据来源")
    private String cdSource;

    /** 用户编号 */
    @Excel(name = "用户编号" )
    private String f_userid;

    /** 用户名称 */
    @Excel(name = "用户名称" )
    private String f_username;

    /** 用户类型 */
    @Excel(name = "用户类型" )
    private String f_usertype;

    /** 用户上期结余 */
    @Excel(name = "用户上期结余" )
    private String f_zhye;

    /** 本期结余 */
    @Excel(name = "本期结余" )
    private String f_benqizhye;

    /** 表类型 */
    @Excel(name = "表类型" )
    private String f_gasmeterstyle;

    /** 预购气量 */
    @Excel(name = "预购气量" )
    private String f_pregas;

    /** 预购金额 */
    @Excel(name = "预购金额" )
    private String f_preamount;

    /** 付款方式 */
    @Excel(name = "付款方式" )
    private String f_payment;

    /** 累购气量 */
    @Excel(name = "累购气量" )
    private String f_upbuynum;

    /** 网点 */
    @Excel(name = "网点" )
    private String f_sgnetwork;

    /** 操作员 */
    @Excel(name = "操作员" )
    private String f_sgoperator;

    /** 缴费日期 */
    @Excel(name = "缴费日期" )
    private String f_deliverydate;

    /** 缴费时间 */
    @Excel(name = "缴费时间" )
    private String f_deliverytime;

    /** 所属分公司 */
    @Excel(name = "所属分公司" )
    private String f_filiale;

    /** 分公司编号 */
    @Excel(name = "分公司编号" )
    private String f_fengongsinum;

    /** 收费类型 */
    @Excel(name = "收费类型" )
    private String f_payfeetype;

    /** 购气有效类型 */
    @Excel(name = "购气有效类型" )
    private String f_payfeevalid;

    /** 购气次数 */
    @Excel(name = "购气次数" )
    private String f_times;

    /** 阶梯气价类型 */
    @Excel(name = "阶梯气价类型" )
    private String f_stairtype;

    /** 阶梯一单价 */
    @Excel(name = "阶梯一单价" )
    private String f_stair1price;

    /** 阶梯一气量 */
    @Excel(name = "阶梯一气量" )
    private String f_stair1amount;

    /** 阶梯一金额 */
    @Excel(name = "阶梯一金额" )
    private String f_stair1fee;

    /** 阶梯二单价 */
    @Excel(name = "阶梯二单价" )
    private String f_stair2price;

    /** 阶梯二气量 */
    @Excel(name = "阶梯二气量" )
    private String f_stair2amount;

    /** 阶梯二金额 */
    @Excel(name = "阶梯二金额" )
    private String f_stair2fee;

    /** 阶梯三单价 */
    @Excel(name = "阶梯三单价" )
    private String f_stair3price;

    /** 阶梯三气量 */
    @Excel(name = "阶梯三气量" )
    private String f_stair3amount;

    /** 阶梯三金额 */
    @Excel(name = "阶梯三金额" )
    private String f_stair3fee;

    public String getFuserid()
    {
        return f_userid;
    }

    public String getFusername()
    {
        return f_username;
    }

    public String getFusertype()
    {
        return f_usertype;
    }

    public String getFzhye()
    {
        return f_zhye;
    }

    public String getFbenqizhye()
    {
        return f_benqizhye;
    }

    public String getFgasmeterstyle()
    {
        return f_gasmeterstyle;
    }

    public String getFpregas()
    {
        return f_pregas;
    }

    public String getFpreamount()
    {
        return f_preamount;
    }

    public String getFpayment()
    {
        return f_payment;
    }

    public String getFupbuynum()
    {
        return f_upbuynum;
    }

    public String getFsgnetwork()
    {
        return f_sgnetwork;
    }

    public String getFsgoperator()
    {
        return f_sgoperator;
    }

    public String getFdeliverydate()
    {
        if(f_deliverydate == null){
            return null;
        }else if(f_deliverydate.contains(".")){
            return f_deliverydate.split("\\.")[0];
        }else {
            return f_deliverydate;
        }
    }

    public String getFdeliverytime()
    {
        if(f_deliverytime == null){
            return null;
        }else if(f_deliverytime.contains(".")){
            return f_deliverytime.split("\\.")[0];
        }else {
            return f_deliverytime;
        }
    }

    public String getFfiliale()
    {
        return f_filiale;
    }

    public String getFfengongsinum()
    {
        return f_fengongsinum;
    }

    public String getFpayfeetype()
    {
        return f_payfeetype;
    }

    public String getFpayfeevalid()
    {
        return f_payfeevalid;
    }

    public String getFtimes()
    {
        return f_times;
    }

    public String getFstairtype()
    {
        return f_stairtype;
    }

    public String getFstair1price()
    {
        return f_stair1price;
    }

    public String getFstair1amount()
    {
        return f_stair1amount;
    }

    public String getFstair1fee()
    {
        return f_stair1fee;
    }

    public String getFstair2price()
    {
        return f_stair2price;
    }

    public String getFstair2amount()
    {
        return f_stair2amount;
    }

    public String getFstair2fee()
    {
        return f_stair2fee;
    }

    public String getFstair3price()
    {
        return f_stair3price;
    }

    public String getFstair3amount()
    {
        return f_stair3amount;
    }

    public String getFstair3fee()
    {
        return f_stair3fee;
    }
}
